#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#
#define debug_package %{nil}

%define rel 1

Summary:        KDE Frameworks 5 Tier 4 addon with framework integration
Name:           frameworkintegration
Version: 5.32.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
Patch0:         frameworkintegration-5.29.0-enable-start-stop-sounds.patch
URL:            https://www.kde.org/


BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)

BuildRequires:  qt5gui-private-devel

BuildRequires:  attica-devel >= %version
BuildRequires:  kconfig-devel >= %version
BuildRequires:  kconfigwidgets-devel >= %version
BuildRequires:  ki18n-devel >= %version
BuildRequires:  kiconthemes-devel >= %version
BuildRequires:  kwidgetsaddons-devel >= %version
BuildRequires:  kcoreaddons-devel >= %version
BuildRequires:  kio-devel >= %version
BuildRequires:  kguiaddons-devel >= %version
BuildRequires:  kitemviews-devel >= %version
BuildRequires:  knotifications-devel >= %version
BuildRequires:  kauth-devel >= %version
BuildRequires:  kcodecs-devel >= %version
BuildRequires:  kwindowsystem-devel >= %version
BuildRequires:  kbookmarks-devel >= %version
BuildRequires:  kxmlgui-devel >= %version
BuildRequires:  kglobalaccel-devel >= %version
BuildRequires:  ktextwidgets-devel >= %version
BuildRequires:  kcompletion-devel >= %version
BuildRequires:  kservice-devel >= %version
BuildRequires:  kdbusaddons-devel >= %version
BuildRequires:  sonnet-devel >= %version
BuildRequires:  kjobwidgets-devel >= %version
BuildRequires:  solid-devel >= %version
BuildRequires:  kdoctools-devel >= %version
BuildRequires:  kcrash-devel >= %version
BuildRequires:  karchive-devel >= %version

BuildRequires:  cmake(KF5Package) >= %version
BuildRequires:  cmake(KF5NewStuff) >= %version

BuildRequires:  pkgconfig(xcursor)

%description
Framework Integration is a set of plugins responsible for better integration of
Qt applications when running on a KDE Plasma workspace.

%files
%_kf5_plugindir/FrameworkIntegrationPlugin.so
%_kf5_datadir/kf5/infopage
%_kf5_knotificationsdir/plasma_workspace.notifyrc
%_kf5_libexecdir/kpackagehandlers/knshandler

#--------------------------------------------------------------------

%define kf5style_major 5
%define libkf5style %mklibname kf5style %{kf5style_major}

%package -n %libkf5style
Summary:  KDE Frameworks 5 Tier 4 addon with framework integration
Group:        System/Libraries

%description -n %libkf5style
Framework Integration is a set of plugins responsible for better integration of
Qt applications when running on a KDE Plasma workspace.

%files -n %libkf5style
%_kf5_libdir/libKF5Style.so.%{kf5style_major}*

#--------------------------------------------------------------------

%define kf5style_devel %mklibname kf5style -d

%package -n %kf5style_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5style = %version-%release
Requires:       %name = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

Requires:       kconfigwidgets-devel  = %version
Requires:       kiconthemes-devel = %version

%description -n %kf5style_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5style_devel
%_kf5_includedir/KStyle
%_kf5_includedir/frameworkintegration_version.h
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5FrameworkIntegration

#--------------------------------------------------------------------

%prep
%setup -q 

%build
%cmake_kf5
%make

%install
%makeinstall_std -C build



%changelog
* Tue Mar 07 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1089513
- New version 5.32.0

* Fri Feb 03 2017 neoclust <neoclust> 5.29.0-2.mga6
+ Revision: 1084663
- Enable Start/Stop Sounds

* Wed Dec 14 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1075012
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072173
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058332
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050509
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045087
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041309
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021908
- New version 5.23.0

* Sun May 15 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1015793
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999615
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986306
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942227
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921261
- New version 5.18.0

* Tue Dec 22 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 913369
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909901
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900433
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899362
- Rebuild against fixed extra-cmake-modules

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 899354
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888145
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881369
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 863141
- New version 5.13.0
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-3.mga6
+ Revision: 862792
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Mon Aug 03 2015 lmenut <lmenut> 5.12.0-2.mga6
+ Revision: 860880
- rebuild for Qt 5.5.0

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853945
- New version 5.12.0

* Tue Jun 30 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 848450
- New version 5.11.0

* Thu Dec 18 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803971
- New version 5.5.0
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 747147
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 679323
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660408
- New version 5.1.0
- New version 5.1.0
- Add require in devel package

* Mon Jul 14 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 652240
- New version 5.0.0
- New version 4.100.0
- New version 4.99.0
- New version 4.98.0

* Thu Mar 06 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 600539
- New version 4.97.0

* Thu Feb 27 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 597531
- imported package frameworkintegration

